<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RMediaResourceGroupMember StructType
 * @subpackage Structs
 */
class RMediaResourceGroupMember extends AbstractStructBase
{
    /**
     * The deviceName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $deviceName;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RMediaResourceGroupMember
     * @uses RMediaResourceGroupMember::setDeviceName()
     * @uses RMediaResourceGroupMember::setUuid()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $deviceName
     * @param string $uuid
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $deviceName = null, $uuid = null)
    {
        $this
            ->setDeviceName($deviceName)
            ->setUuid($uuid);
    }
    /**
     * Get deviceName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getDeviceName()
    {
        return $this->deviceName;
    }
    /**
     * Set deviceName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $deviceName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RMediaResourceGroupMember
     */
    public function setDeviceName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $deviceName = null)
    {
        $this->deviceName = $deviceName;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RMediaResourceGroupMember
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
